Bug 271075 - Megatons of "llvm.alignOf not yet implemented" messages in console
Megatons of "llvm.alignOf not yet implemented" messages in console
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
All All
: P2 (vote)
: Dev
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 17:37 UTC by Vladimir Kvashin
Modified: 2017-10-06 02:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2017-07-11 17:37:39 UTC
I created a ccfe 12.6 project from binaries. While it is parsed I sow *hundreds* of console screens filled with the same message:

llvm.alignOf not yet implemented
llvm.alignOf not yet implemented
llvm.alignOf not yet implemented
...

And also messages like
$sizeof_VarDeclBitfields not yet implemented
$sizeof_ParmVarDeclBitfields not yet implemented
$sizeof_NonParmVarDeclBitfields not yet implemented
(although these are kinof 10 times more rare - but lots of them either)

Sure that's in NetBeans 9 dev, with assertions on.
But I think that even in dev version with -ea that's too much
Comment 1 Vladimir Voskresensky 2017-07-12 09:50:30 UTC
Vladimir. Do you have clank-static analyzer on?
Comment 2 Vladimir Voskresensky 2017-07-12 09:52:10 UTC
Because $sizeof_VarDeclBitfield and alike could be printed only when Parser/Sema components work
Comment 3 soldatov 2017-10-02 12:36:03 UTC
I see huge log if I switched on Editor > Hints > C/C++ > Clank Diagnostics (Experimental) check box
Comment 5 Quality Engineering 2017-10-06 02:17:41 UTC
Integrated into 'main-silver', will be available in build *201710060002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/472517bb2421
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #271075 - Megatons of "llvm.alignOf not yet implemented" messages in console (binary)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo